View Issue Details

IDProjectCategoryView StatusLast Update
0025059mantisbtadministrationpublic2019-01-02 17:25
ReporterdregadAssigned Todregad 
PrioritylowSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version2.19.0Fixed in Version2.19.0 
Summary0025059: View User Page: hide footer at bottom of User Info table when not needed
Description

While testing proposed code for 0025042, I noticed that when a low-privileged user (e.g. anonymous) opens the View User page, the code always displays the footer below the User Information table, even though there are no available action buttons (Manage / Impersonate user) due to the user's limited rights.

The footer should be hidden in this case.

TagsNo tags attached.

Relationships

related to 0025042 closedatrol Add some more information to view_user_page 

Activities

dregad

dregad

2018-12-10 06:06

developer  

dregad

dregad

2018-12-12 03:19

developer   ~0061072

Fix part of PR https://github.com/mantisbt/mantisbt/pull/1419

Related Changesets

MantisBT: master 41557152

2018-12-10 05:59:51

dregad


Committer: atrol Details Diff
Hide User Info table footer when not needed

Low-privileged users do not have any available buttons in the footer
below the User Information section on View User Page, so an empty DIV is
displayed.

With this change, the DIV is only shown if user can manage and/or
impersonate users.

Fixes 0025059
Affected Issues
0025059
mod - view_user_page.php Diff File

Issue History

Date Modified Username Field Change
2018-12-10 06:06 dregad New Issue
2018-12-10 06:06 dregad Status new => assigned
2018-12-10 06:06 dregad Assigned To => dregad
2018-12-10 06:06 dregad File Added: screenshot-20181210-1202.png
2018-12-10 06:06 dregad Relationship added related to 0025042
2018-12-12 03:19 dregad Note Added: 0061072
2018-12-16 10:09 atrol Changeset attached => MantisBT master 41557152
2018-12-16 10:09 dregad Status assigned => resolved
2018-12-16 10:09 dregad Resolution open => fixed
2018-12-16 10:09 dregad Fixed in Version => 2.19.0
2019-01-02 17:25 vboctor Status resolved => closed